Subject: bug#63800: 30.0.50; [ELPA] Inaccurate installation instructions for built-in packages

From: Philip Kaludercic <[email-masked]>
Date: Wed, 12 Jul 2023 16:38:12 +0000

Ihor Radchenko <[email-masked]> writes:

> Philip Kaludercic <[email-masked]> writes:
>
>>> + <pre>M-x <span class=\"kw\">list-packages</span> RET</pre>
>>> + <p>Then, find <span class=\"kw\">%s</span> in the list, click on
>>> the link, and click <span class=\"kw\">Install</span>.</p>"
>>
>> Are you sure that "Install" should have the class kw (I assume keyword)?
>
> I am not sure, but I thought that it should be highlighted. "Install" is
> displayed as a button in Emacs.
>
> An alternative could be <pre>Install</pre> - it will look kinda similar
> to how Emacs displays it.

I think that would be better.

> Also, note that it will change how all the packages are displayed, not
> just core packages.

Of course.

>> Other than that, can you push the commit or should I do it?
>
> I can try. Never pushed to parts of Emacs project other than Org mode.

I believe you should have access.